package dev.model;

import java.time.LocalDateTime;

public class Order {

    private int id;

    private int userId;

    private LocalDateTime createdAt;

    private double totalPrice;

    public Order(int id, int userId, LocalDateTime createdAt, double totalPrice) {
        this.id = id;
        this.userId = userId;
        this.createdAt = createdAt;
        this.totalPrice = totalPrice;
    }

    public Order(int userId, double totalPrice) {
        this.userId = userId;
        this.totalPrice = totalPrice;
    }


    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public int getId() {
        return id;
    }

    public double getTotalPrice() {
        return totalPrice;
    }

    public int getUserId() {
        return userId;
    }
}